#include "annotationplugin.h"

class Nepomuk::WritebackPlugin::Private
{
public:
    Private( WritebackPlugin* parent )
        : q( parent ) {
    }

private:
    WritebackPlugin* q;
};



Nepomuk::WritebackPlugin::WritebackPlugin(QObject* parent)
    : QObject(parent),
      d( new Private(this) )
{
}

Nepomuk::WritebackPlugin::~WritebackPlugin()
{
    delete d;
}


void Nepomuk::WritebackPlugin::Writeback( const File* file )
{
    doWriteback( file );
}


void Nepomuk::WritebackPlugin::emitFinished()
{
    emit finished();
    emit finished( this );
}

#include "writebackplugin.moc"